# Class CRAMEncoderV2_1

java.lang.Object
htsjdk.beta.codecs.reads.cram.CRAMEncoder
htsjdk.beta.codecs.reads.cram.cramV2_1.CRAMEncoderV2_1

All Implemented Interfaces:
  `HtsEncoder<SAMFileHeader, SAMRecord>, ReadsEncoder, Closeable, AutoCloseable`

public class CRAMEncoderV2_1 extends CRAMEncoder
CRAM v2.1 encoder.

## Constructor Summary

Constructors
Constructor
Description
`CRAMEncoderV2_1(Bundle outputBundle, ReadsEncoderOptions readsEncoderOptions)`
Create a CRAM encoder for the given output bundle.

## Method Summary

Modifier and Type
Method
Description
`HtsVersion`
`getVersion()`
Get the version of the file format supported by this encoder.

### Methods inherited from class CRAMEncoder

`close, getCRAMReferenceSource, getDisplayName, getFileFormat, getOutputBundle, getReadsEncoderOptions, setHeader, write`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CRAMEncoderV2_1

public CRAMEncoderV2_1(Bundle outputBundle, ReadsEncoderOptions readsEncoderOptions)
Create a CRAM encoder for the given output bundle. The primary resource in the bundle must have content type `BundleResourceType.CT_ALIGNED_READS` (to find a decoder for a bundle, see `ReadsResolver`).

Parameters:
  `outputBundle` - bundle to encode
  `readsEncoderOptions` - options to use

## Method Details

### getVersion

public HtsVersion getVersion()
Description copied from interface: `HtsEncoder`
Get the version of the file format supported by this encoder.